#include <stdio.h>

int main(int argc, const char *argv[])
{
	// print this, if the compiler defined -DSOMETHING
	printf("something was defined\n");

	// print this if the compiler did not define -DSOMETHING
	printf("something was not defined\n");
}
